%global commit def7cfbfe91ce38dc8de162dc57d22ac0ece48bf
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-egit
Version:        0.15.0
Release:        0.2.git%{shortcommit}%{?dist}
Summary:        M2E SCM Handler for EGit
License:        EPL
URL:            https://github.com/tesla/m2eclipse-egit/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-egit/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.core.runtime)
BuildRequires:  osgi(org.eclipse.egit.core)
BuildRequires:  osgi(org.eclipse.egit.ui)
BuildRequires:  osgi(org.eclipse.jface)
BuildRequires:  osgi(org.eclipse.jgit)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.core.ui)
BuildRequires:  osgi(org.eclipse.m2e.scm)
BuildRequires:  osgi(org.eclipse.swt)
BuildRequires:  osgi(org.eclipse.ui)
BuildRequires:  osgi(slf4j.api)
BuildRequires:  osgi(org.eclipse.equinox.p2.ui.discovery)
BuildRequires:  eclipse-jgit

Enhances:       eclipse-m2e-core

%description
This package provides M2E SCM Handler for EGit which adds support for
git repositories to M2E.

%prep
%setup -q -n m2eclipse-egit-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.egit.tests

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc org.sonatype.m2e.egit.feature/license.html

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.2.gitdef7cfb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu May 11 2017 Mat Booth <mat.booth@redhat.com> - 0.15.0-0.1.gitdef7cfb
- Update to latest snapshot

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-0.10.gitaf764de
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-0.9.gitaf764de
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 19 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.8.gitaf764de
- Add Enhances: eclipse-m2e-core

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 0.14.0-0.7.gitaf764de
- Rebuild as an Eclipse p2 Droplet.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-0.6.gitaf764de
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 1 2015 Alexander Kurtakov <akurtako@redhat.com> 0.14.0-0.5.gitaf764de
- Update to newer snapshot that works with Egit 4.0.

* Tue Dec 9 2014 Alexander Kurtakov <akurtako@redhat.com> 0.14.0-0.4.git571dc0a
- Fix FTBFS.

* Wed Sep 10 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.3.git571dc0a
- Install with XMvn

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-0.2.git571dc0a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 29 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.14.0-0.1.git571dc0a
- Initial packaging
